#!/bin/sh
# I hate shell scripts
# Picscript 1.5a
# Mark Kamichoff <prox@prolixium.com>

# tolower()
for x in `ls`
	do
	if [ ! -f $x ]; then
	continue
	fi
	convert=`echo $x | tr '[A-Z]' '[a-z]'`
	if [ $convert != $x ]; then
	mv -i $x $convert
	fi
done

if [ ! -d thumbs ]; then
	echo "Making thumbs dir ... ";
	mkdir thumbs
fi

echo "Converting .jpg files ... ";
for x in `ls *.jpg 2> /dev/null`
	do
	if [ ! -f thumbs/$x ]; then
	echo -n "Converting $x ... ";
	convert -resize 160x120! $x +profile '*' thumbs/$x
	echo "done";
	fi
done

echo "Converting .png files ... ";
for x in `ls *.png 2> /dev/null`
	do
	if [ ! -f thumbs/$x ]; then
	echo -n "Converting $x ... ";
	convert -resize 160x120! $x +profile '*' thumbs/$x
	echo "done";
	fi
done

if [ ! -f descriptions.txt ]; then
	echo "Picture Gallery - Picscript 1.5a" > descriptions.txt
	echo "default_descriptions" >> descriptions.txt
fi
